# frozen_string_literal: true

module Authenticatable
  module Testing
    module RequestHelpers
      def sign_in(resource, resource_name = "user", path = "/users/sign_in")
        post path, params: { "#{resource_name}": {
          email: resource.email,
          password: resource.password
        } }
      end
    end
  end
end
