# frozen_string_literal: true

module Authenticatable
  # Random token used for password reset and remember tokens.
  class Token
    # Generate a new random hex token.
    class << self
      def new(bytes = 20)
        SecureRandom.hex(bytes)
      end
    end
  end
end
