# frozen_string_literal: true

require "rspec/rails"
require "authenticatable/testing/controller_helpers"
require "authenticatable/testing/request_helpers"

RSpec.configure do |config|
  config.include Authenticatable::Testing::ControllerHelpers, type: :controller
  config.include Authenticatable::Testing::RequestHelpers, type: :request
end
